#include <iostream>
#include <vector>
using namespace std;
int n,t;
vector <int> solve(vector <int> a) {
	vector <int> b(0);
	for (int i = a.size() - 2; i >= 0; i -= 4) {
		b.push_back(i);
		if (i != 0) {
			b.push_back(i - 1);
		}
	}
	b.push_back(a.size() - 1);
	for (int i = a.size() - 4; i >= 0; i -= 4) {
		b.push_back(i);
		if (i != 0) {
			b.push_back(i - 1);
		}
	}
	return b;
}